Skip to main content
GET
List UDF attachments
Returns the current service attachments for a UDF, with at most one attachment per service.

Permission

The API key must have the control-plane:organization:view permission.

授权

Authorization
string
header
必填

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

路径参数

organizationId
string<uuid>
必填

ID of the requested organization.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
functionName
string
必填

Name of the UDF.

Pattern: ^[A-Za-z][A-Za-z0-9_]*$

查询参数

cursor
string

Cursor returned as nextCursor on the previous page.

limit
integer
默认值:100

Maximum number of records to return per page. Defaults to 100. Maximum is 100.

必填范围: x <= 100

响应

Successful response.

result
object[]
必填

Current service attachments for the UDF in this page.

limit
integer
必填

Maximum number of results returned in this page.

totalCount
integer | null
必填

Total number of results across all pages. It has only informative value, thus is not guaranteed and it is provided on a best-effort basis. Null if the total count is unknown.

nextCursor
string | null
必填

Cursor for the next page, to be sent as the cursor query parameter. Null on the last page.

status
integer
必填

HTTP status code.

示例:

200

requestId
string<uuid>
必填

Unique id assigned to every request. UUIDv4

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
最后修改于 2026年10月3日